Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/bfmLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/bfmLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/bfmLoader.groovy	(revision 927)
@@ -2,217 +2,209 @@
 // Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
 // Lyon 2, University of Franche-Comté, University of Nice
 // Sophia Antipolis, University of Paris 3.
-//
-//
-// This file is part of the TXM platform.
-//
-// The TXM platform is free software: you can redistribute it and/or modif y
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation, either version 3 of the License, or
-// (at your option) any later version.
-//
-// The TXM platform is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
-//
-//
-//
-// $LastChangedDate: 2016-03-01 10:10:58 +0100 (mar. 01 mars 2016) $
-// $LastChangedRevision: 3133 $
-// $LastChangedBy: mdecorde $
-//
-package org.txm.importer.bfm;
-
-import javax.xml.stream.XMLStreamReader;
-import org.txm.importer.ApplyXsl2;
-import org.txm.importer.bfm.importer;
-import org.txm.importer.bfm.compiler;
-import org.txm.importer.bfm.pager;
-import org.txm.objects.*;
-import org.txm.*;
-import org.txm.utils.i18n.*;
-import org.txm.scripts.teitxm.*;
-import org.txm.importer.*;
-import org.w3c.dom.Element
-import org.txm.utils.xml.DomUtils;
-import org.txm.utils.*;
-
-String userDir = System.getProperty("user.home");
-boolean debug = org.txm.utils.logger.Log.isPrintingErrors();
-def MONITOR;
-BaseParameters params;
-try {params = paramsBinding;MONITOR=monitor} catch (Exception)
-{	println "DEV MODE";//exception means we debug
-	debug = true
-	params = new BaseParameters(new File(userDir, "xml/bfm/import.xml"))
-	params.load()
-	if (!org.txm.Toolbox.isInitialized()) {
-		//rootDir = userDir+"/xml/TESTS/alceste";  // directory which contains the source file
-
-		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		//Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:\\Program Files\\TXM"));//For Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		//Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File("C:\\Program Files\\treetagger"));//for Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
-		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
-		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
-		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File("C:\\Program Files\\treetagger\\models"));//for Windows
-		Toolbox.setParam(Toolbox.USER_TXM_HOME, new File(System.getProperty("user.home"), "TXM"));
-	}
-}
-if (params == null) { println "no parameters. Aborting"; return; }
-
-String corpusname = params.getCorpusName();
-Element corpusElem = params.corpora.get(corpusname);
-String basename = params.name;
-String rootDir = params.rootDir;
-String lang = corpusElem.getAttribute("lang");
-String model = lang
-String encoding = corpusElem.getAttribute("encoding");
-boolean annotate = "true" == corpusElem.getAttribute("annotate");
-String xsl = params.getXsltElement(corpusElem).getAttribute("xsl")
+//
+//
+// This file is part of the TXM platform.
+//
+// The TXM platform is free software: you can redistribute it and/or modif y
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// The TXM platform is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
+//
+//
+//
+// $LastChangedDate: 2016-03-01 10:10:58 +0100 (mar. 01 mars 2016) $
+// $LastChangedRevision: 3133 $
+// $LastChangedBy: mdecorde $
+//
+package org.txm.importer.bfm;
+
+import javax.xml.stream.XMLStreamReader;
+import org.txm.importer.ApplyXsl2;
+import org.txm.importer.bfm.importer;
+import org.txm.importer.bfm.compiler;
+import org.txm.importer.bfm.pager;
+import org.txm.objects.*;
+import org.txm.*;
+import org.txm.core.engines.*;
+import org.txm.utils.i18n.*;
+import org.txm.importer.xmltxm.*;
+import org.txm.importer.*;
+import org.w3c.dom.Element
+import org.txm.utils.xml.DomUtils;
+import org.txm.utils.*
+import org.txm.utils.io.;
+
+String userDir = System.getProperty("user.home");
+boolean debug = org.txm.utils.logger.Log.isPrintingErrors();
+def MONITOR;
+BaseParameters params;
+try {params = paramsBinding;MONITOR=monitor} catch (Exception)
+{	println "DEV MODE";//exception means we debug
+	debug = true
+	params = new BaseParameters(new File(userDir, "xml/bfm/import.xml"))
+	params.load()
+	if (!org.txm.Toolbox.isInitialized()) {
+		//rootDir = userDir+"/xml/TESTS/alceste";  // directory which contains the source file
+
+		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
+		//Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:\\Program Files\\TXM"));//For Windows
+		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
+		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
+		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
+		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File("C:\\Program Files\\treetagger\\models"));//for Windows
+		Toolbox.setParam(Toolbox.USER_TXM_HOME, new File(System.getProperty("user.home"), "TXM"));
+	}
+}
+if (params == null) { println "no parameters. Aborting"; return; }
+
+String corpusname = params.getCorpusName();
+Element corpusElem = params.corpora.get(corpusname);
+String basename = params.name;
+String rootDir = params.rootDir;
+String lang = corpusElem.getAttribute("lang");
+String model = lang
+String encoding = corpusElem.getAttribute("encoding");
+boolean annotate = "true" == corpusElem.getAttribute("annotate");
+String xsl = params.getXsltElement(corpusElem).getAttribute("xsl")
 def xslParams = params.getXsltParams(corpusElem);
-int wordsPerPage = params.getWordsPerPage("default")
+int wordsPerPage = params.getWordsPerPage("default")
 boolean build_edition = params.getDoEdition("default")
-
-File srcDir = new File(rootDir);
-File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
-binDir.deleteDir();
-binDir.mkdirs();
-if (!binDir.exists()) {
-	println "Could not create binDir "+binDir
-	return;
-}
-
-File txmDir = new File(binDir,"txm/$corpusname");
-txmDir.deleteDir();
-txmDir.mkdirs();
-
-// BFM XPATH PARAMETERS
-if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
-if (MONITOR != null) MONITOR.worked(1, "READ XPATH PARAMETERS")
-File paramDeclarationFile = new File(srcDir, "import.properties");
-Properties metadataXPath = new Properties();
-if (paramDeclarationFile.exists() && paramDeclarationFile.canRead()) {
-	InputStreamReader input = new InputStreamReader(new FileInputStream(paramDeclarationFile) , "UTF-8");
-	metadataXPath.load(input);
-	input.close();
-
-	if (!metadataXPath.containsKey("titre"))
-		println "Warning: parameters property file does not contain the 'titre' metadata"
-	if (!metadataXPath.containsKey("forme"))
-		println "Warning: parameters property file does not contain the 'forme' metadata in param values. The default value is 'prose'"
-}
-else
-	println "No '$paramDeclarationFile' file found"
-
-// Apply XSL
-if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
-if (MONITOR != null) MONITOR.worked(1, "APPLYING XSL")
-if (xsl != null && xslParams != null && xsl.trim().length() > 0) {
-	if (ApplyXsl2.processImportSources(new File(xsl), srcDir, new File(binDir, "src"), xslParams))
-	// return; // error during process
-	srcDir = new File(binDir, "src");
-	println ""
-}
-
-// copy txm files
-println "-- VALIDATION - checking XML source files well-formedness"
-List<File> srcfiles = srcDir.listFiles();
-for (File f : srcfiles) { // check XML format, and copy file into binDir
-	if (f.isHidden() || f.getName().equals("import.xml") || f.getName().equals("metadata.csv") || f.getName().endsWith(".properties"))
-		continue;
-	if (ValidateXml.test(f)) {
-		FileCopy.copy(f, new File(txmDir, f.getName()));
-	} else {
-		println "Won't process file "+f;
-	}
-}
-
-if (txmDir.listFiles() == null) {
-	println "No txm file to process"
-	return;
-}
-
-if (MONITOR != null) MONITOR.worked(1, "IMPORTER")
-if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
-println "-- IMPORTER - Reading source files"
-def imp = new importer()
-if (!imp.run(srcDir, binDir, txmDir, basename, metadataXPath)) {
-	println "import process stopped";
-	return;
-}
-
-if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
-if (MONITOR != null) MONITOR.worked(20, "ANNOTATE")
-println "-- ANNOTATE - Running NLP tools - $model model"
-boolean annotate_status = true;
-if (annotate && !(new Annotate().run(binDir, txmDir,model+".par"))) {
-	println "Skipping Annotate process";
-	annotate_status = false;
-}
-
-//if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
-//if (MONITOR != null) MONITOR.worked(20, "ANNOTATE")
-//println "-- ANNOTATE - Running NLP tools - fr model"
-//annotate_status = true;
-//if (annotate && !(new Annotate().run(binDir, txmDir,"fr.par"))) {
-//	println "Skipping Annotate process";
-//	annotate_status = false;
-//}
-
-if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
-if (MONITOR != null) MONITOR.worked(25, "COMPILING")
-println "-- COMPILING - Building Search Engine indexes"
-def c = new compiler();
-if (debug) c.setDebug();
-//c.setCwbPath("~/TXM/cwb/bin");
-c.setLang(lang);
-c.setAnnotationDone(annotate_status)
-if (!c.run(binDir, txmDir, corpusname, metadataXPath)) {
-	println "import process stopped";
-	return;
-}
-
-if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 
+File srcDir = new File(rootDir);
+File binDir = new File(Toolbox.getTxmHomePath(),"corpora/"+basename);
+binDir.deleteDir();
+binDir.mkdirs();
+if (!binDir.exists()) {
+	println "Could not create binDir "+binDir
+	return;
+}
+
+File txmDir = new File(binDir,"txm/$corpusname");
+txmDir.deleteDir();
+txmDir.mkdirs();
+
+// BFM XPATH PARAMETERS
+if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
+if (MONITOR != null) MONITOR.worked(1, "READ XPATH PARAMETERS")
+File paramDeclarationFile = new File(srcDir, "import.properties");
+Properties metadataXPath = new Properties();
+if (paramDeclarationFile.exists() && paramDeclarationFile.canRead()) {
+	InputStreamReader input = new InputStreamReader(new FileInputStream(paramDeclarationFile) , "UTF-8");
+	metadataXPath.load(input);
+	input.close();
+
+	if (!metadataXPath.containsKey("titre"))
+		println "Warning: parameters property file does not contain the 'titre' metadata"
+	if (!metadataXPath.containsKey("forme"))
+		println "Warning: parameters property file does not contain the 'forme' metadata in param values. The default value is 'prose'"
+}
+else
+	println "No '$paramDeclarationFile' file found"
+
+// Apply XSL
+if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
+if (MONITOR != null) MONITOR.worked(1, "APPLYING XSL")
+if (xsl != null && xslParams != null && xsl.trim().length() > 0) {
+	if (ApplyXsl2.processImportSources(new File(xsl), srcDir, new File(binDir, "src"), xslParams))
+	// return; // error during process
+	srcDir = new File(binDir, "src");
+	println ""
+}
+
+// copy txm files
+println "-- VALIDATION - checking XML source files well-formedness"
+List<File> srcfiles = srcDir.listFiles();
+for (File f : srcfiles) { // check XML format, and copy file into binDir
+	if (f.isHidden() || f.getName().equals("import.xml") || f.getName().equals("metadata.csv") || f.getName().endsWith(".properties"))
+		continue;
+	if (ValidateXml.test(f)) {
+		FileCopy.copy(f, new File(txmDir, f.getName()));
+	} else {
+		println "Won't process file "+f;
+	}
+}
+
+if (txmDir.listFiles() == null) {
+	println "No txm file to process"
+	return;
+}
+
+if (MONITOR != null) MONITOR.worked(1, "IMPORTER")
+if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
+println "-- IMPORTER - Reading source files"
+def imp = new importer()
+if (!imp.run(srcDir, binDir, txmDir, basename, metadataXPath)) {
+	println "import process stopped";
+	return;
+}
+
+if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
+if (MONITOR != null) MONITOR.worked(20, "ANNOTATE")
+println "-- ANNOTATE - Running NLP tools - $model model"
+boolean annotate_status = true;
+if (annotate) {
+	def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
+	if (engine.processDirectory(txmDir, binDir, ["lang":model])) {
+		annotate_status = true;
+	}
+}
+
+if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
+if (MONITOR != null) MONITOR.worked(25, "COMPILING")
+println "-- COMPILING - Building Search Engine indexes"
+def c = new compiler();
+if (debug) c.setDebug();
+//c.setCwbPath("~/TXM/cwb/bin");
+c.setLang(lang);
+c.setAnnotationDone(annotate_status)
+if (!c.run(binDir, txmDir, corpusname, metadataXPath)) {
+	println "import process stopped";
+	return;
+}
+
+if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
+
 new File(binDir,"HTML/$corpusname").deleteDir();
 new File(binDir,"HTML/$corpusname").mkdirs();
 if (build_edition) {
-
-	println "-- EDITION"
-	if (MONITOR != null) MONITOR.worked(25, "EDITION")
-	File outdir = new File(binDir,"/HTML/$corpusname/default/");
-	outdir.mkdirs();
+
+	println "-- EDITION"
+	if (MONITOR != null) MONITOR.worked(25, "EDITION")
+	File outdir = new File(binDir,"/HTML/$corpusname/default/");
+	outdir.mkdirs();
 	files = c.getOrderedTxmFiles();
-
+
 	println("Building editions: "+files.size()+" files" );
-	for (File txmFile : files) {
-		print "."
-		String txtname = txmFile.getName();
-		int idx = txtname.lastIndexOf(".");
-		if(idx > 0) txtname = txtname.substring(0, idx);
-		List<String> NoSpaceBefore = LangFormater.getNoSpaceBefore(lang);
-		List<String> NoSpaceAfter = LangFormater.getNoSpaceAfter(lang);//["'","(","[","{","«"];
-
-		Element text = params.addText(corpusElem, txtname, txmFile);
-
-		def ed = new pager(txmFile, outdir, txtname, NoSpaceBefore, NoSpaceAfter, wordsPerPage, corpusname, metadataXPath);
-		Element edition = params.addEdition(text, "default", outdir.getAbsolutePath(), "html");
-
-		for (i = 0 ; i < ed.getPageFiles().size();) {
-			File f = ed.getPageFiles().get(i);
-			String wordid = ed.getIdx().get(i);
-			params.addPage(edition, ""+(++i), wordid);
-		}
-	}
-}
-if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
-if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
-File paramFile = new File(binDir, "import.xml");
-DomUtils.save(params.root.getOwnerDocument(), paramFile);readyToLoad = true;
+	for (File txmFile : files) {
+		print "."
+		String txtname = txmFile.getName();
+		int idx = txtname.lastIndexOf(".");
+		if(idx > 0) txtname = txtname.substring(0, idx);
+		List<String> NoSpaceBefore = LangFormater.getNoSpaceBefore(lang);
+		List<String> NoSpaceAfter = LangFormater.getNoSpaceAfter(lang);//["'","(","[","{","«"];
+
+		Element text = params.addText(corpusElem, txtname, txmFile);
+
+		def ed = new pager(txmFile, outdir, txtname, NoSpaceBefore, NoSpaceAfter, wordsPerPage, corpusname, metadataXPath);
+		Element edition = params.addEdition(text, "default", outdir.getAbsolutePath(), "html");
+
+		for (i = 0 ; i < ed.getPageFiles().size();) {
+			File f = ed.getPageFiles().get(i);
+			String wordid = ed.getIdx().get(i);
+			params.addPage(edition, ""+(++i), wordid);
+		}
+	}
+}
+if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
+if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
+File paramFile = new File(binDir, "import.xml");
+DomUtils.save(params.root.getOwnerDocument(), paramFile);readyToLoad = true;
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/importer.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bfm/importer.groovy	(revision 927)
@@ -30,7 +30,7 @@
 import org.txm.importer.*;
 import org.txm.importer.filters.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.io.FileCopy;
 import org.txm.utils.treetagger.TreeTagger;
 
@@ -41,6 +41,7 @@
 import java.util.Properties;
 
 import org.txm.*;
+import org.txm.core.engines.*;
 
 import filters.CutHeader.*;
 import filters.ReunitBrokenWords.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/RGAQCJ/compiler.groovy	(revision 927)
@@ -33,8 +33,8 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/tmxLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/tmxLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/tmxLoader.groovy	(revision 927)
@@ -33,9 +33,11 @@
 import org.txm.importer.tmx.compiler;
 import org.txm.importer.tmx.pager;
 import org.txm.objects.*;
-import org.txm.utils.*;
+import org.txm.utils.*
+import org.txm.utils.io.;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.core.engines.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.i18n.*;
 import org.w3c.dom.Element
 import org.txm.utils.xml.DomUtils;
@@ -52,7 +54,6 @@
 	if (!org.txm.Toolbox.isInitialized()) {
 
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
 		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
@@ -99,8 +100,12 @@
 def corpusIDS = imp.getCorpusIDS()
 println "-- ANNOTATE - Running NLP tools"
 if (MONITOR != null) MONITOR.worked(20, "ANNOTATE - Running NLP tools");
-new Annotate().run(binDir, txmDir, textLangs);
-
+if (annotate) {
+	def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
+	if (engine.processDirectory(txmDir, binDir, ["lang":model])) {
+		annotationSuccess = true;
+	}
+}
 println "langs : "+textLangs
 println "texts : "+langGroups
 
@@ -191,4 +196,4 @@
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
 File paramFile = new File(binDir, "import.xml");
-DomUtils.save(params.root.getOwnerDocument(), paramFile);readyToLoad = true;
+DomUtils.save(params.root.getOwnerDocument(), paramFile);readyToLoad = true;
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/tmx/compiler.groovy	(revision 927)
@@ -34,7 +34,7 @@
 import org.txm.importer.cwb.PatchCwbRegistry;
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.logger.Log;
 import org.txm.utils.treetagger.TreeTagger;
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivaLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivaLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivaLoader.groovy	(revision 927)
@@ -35,9 +35,11 @@
 import org.txm.importer.xml.compiler;
 import org.txm.importer.xml.pager;
 import org.txm.objects.*;
-import org.txm.utils.*;
+import org.txm.utils.*
+import org.txm.utils.io.;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.core.engines.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.i18n.*;
 import org.txm.metadatas.*;
 import javax.xml.stream.*;
@@ -57,8 +59,6 @@
 	if (!org.txm.Toolbox.isInitialized()) {
 
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
@@ -226,8 +226,11 @@
 if (MONITOR != null) MONITOR.worked(10, "ANNOTATE")
 println "-- ANNOTATE - Running NLP tools"
 boolean annotationSuccess = false;
-if (annotate && new Annotate().run(binDir, txmDir, model+".par")) {
-	annotationSuccess = true;
+if (annotate) {
+	def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
+	if (engine.processDirectory(txmDir, binDir, ["lang":model])) {
+		annotationSuccess = true;
+	}
 }
 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivamailLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivamailLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/factiva/factivamailLoader.groovy	(revision 927)
@@ -33,7 +33,8 @@
 import org.txm.objects.*;
 import org.txm.utils.*;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.core.engines.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.i18n.*;
 import org.w3c.dom.Element
 import org.txm.utils.xml.DomUtils;
@@ -51,8 +52,6 @@
 	if (!org.txm.Toolbox.isInitialized()) {
 
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
@@ -107,8 +106,11 @@
 if (MONITOR != null) MONITOR.worked(20, "ANNOTATE")
 println "-- ANNOTATE - Running NLP tools"
 boolean annotationSuccess = false;
-if (annotate && new Annotate().run(binDir, txmDir, model+".par")) {
-	annotationSuccess = true;
+if (annotate) {
+	def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
+	if (engine.processDirectory(txmDir, binDir, ["lang":model])) {
+		annotationSuccess = true;
+	}
 }
 
 if (MONITOR != null) MONITOR.worked(25, "COMPILING")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/annotate.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/annotate.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/annotate.groovy	(revision 927)
@@ -31,8 +31,8 @@
 import org.txm.scripts.*;
 import org.txm.importer.cwb.CwbEncode
 import org.txm.importer.cwb.CwbMakeAll
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 import org.txm.Toolbox;
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/compiler.groovy	(revision 927)
@@ -32,8 +32,8 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/importer.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/bvh/importer.groovy	(revision 927)
@@ -32,13 +32,14 @@
 import org.txm.scripts.*;
 import org.txm.importer.cwb.CwbEncode
 import org.txm.importer.cwb.CwbMakeAll
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 import javax.xml.stream.*;
 import java.io.File;
 import java.net.URL;
 
 import org.txm.*;
+import org.txm.core.engines.*;
 
 import filters.CutHeader.*;
 import filters.Tokeniser.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/frantext/frantextLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/frantext/frantextLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/frantext/frantextLoader.groovy	(revision 927)
@@ -29,19 +29,21 @@
 //
 package org.txm.importer.frantext;
 
-import javax.xml.stream.XMLStreamReader;
-import org.txm.importer.ApplyXsl2;
+import javax.xml.stream.XMLStreamReader;
+import org.txm.importer.ApplyXsl2;
 import org.txm.importer.bfm.importer;
 import org.txm.importer.bfm.compiler;
 import org.txm.importer.bfm.pager;
 import org.txm.objects.*;
 import org.txm.*;
+import org.txm.core.engines.*;
 import org.txm.utils.i18n.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.importer.*;
 import org.w3c.dom.Element
 import org.txm.utils.xml.DomUtils;
-import org.txm.utils.*;
+import org.txm.utils.*
+import org.txm.utils.io.;
 
 String userDir = System.getProperty("user.home");
 boolean debug = org.txm.utils.logger.Log.isPrintingErrors();
@@ -56,8 +58,6 @@
 		//rootDir = userDir+"/xml/TESTS/alceste";  // directory which contains the source file
 
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
@@ -93,18 +93,18 @@
 txmDir.mkdirs();
 
 // BFM XPATH PARAMETERS
-if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
+if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (MONITOR != null) MONITOR.worked(1, "READ XPATH PARAMETERS")
-File paramDeclarationFile = new File(srcDir, "import.properties");
-Properties metadataXPath = new Properties();
+File paramDeclarationFile = new File(srcDir, "import.properties");
+Properties metadataXPath = new Properties();
 if (paramDeclarationFile.exists() && paramDeclarationFile.canRead()) {
 	InputStreamReader input = new InputStreamReader(new FileInputStream(paramDeclarationFile) , "UTF-8");
-	metadataXPath.load(input);
+	metadataXPath.load(input);
 	input.close();
 
-	if (!metadataXPath.containsKey("titre"))
+	if (!metadataXPath.containsKey("titre"))
 		println "Warning: parameters property file does not contain the 'titre' metadata"
-	if (!metadataXPath.containsKey("forme"))
+	if (!metadataXPath.containsKey("forme"))
 		println "Warning: parameters property file does not contain the 'forme' metadata in param values. The default value is 'prose'"
 }
 else
@@ -125,8 +125,8 @@
 println "-- VALIDATION - checking XML source files well-formedness"
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 List<File> srcfiles = srcDir.listFiles();
-for (File f : srcfiles) { // check XML format, and copy file into binDir
-	if (f.isHidden() || f.getName().equals("import.xml") || f.getName().equals("metadata.csv") || f.getName().endsWith(".properties"))
+for (File f : srcfiles) { // check XML format, and copy file into binDir
+	if (f.isHidden() || f.getName().equals("import.xml") || f.getName().equals("metadata.csv") || f.getName().endsWith(".properties"))
 		continue;
 	if (ValidateXml.test(f)) {
 		FileCopy.copy(f, new File(txmDir, f.getName()));
@@ -145,7 +145,7 @@
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 println "-- IMPORTER - Reading source files"
 def imp = new importer()
-if (!imp.run(srcDir, binDir, txmDir, basename, metadataXPath)) {
+if (!imp.run(srcDir, binDir, txmDir, basename, metadataXPath)) {
 	println "import process stopped";
 	return;
 }
@@ -154,9 +154,11 @@
 if (MONITOR != null) MONITOR.worked(20, "ANNOTATE")
 println "-- ANNOTATE - Running NLP tools - $model model"
 boolean annotate_status = true;
-if (annotate && !(new Annotate().run(binDir, txmDir, model+".par"))) {
-	println "Skipping Annotate process";
-	annotate_status = false;
+if (annotate) {
+	def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine("TreeTagger")
+	if (engine.processDirectory(txmDir, binDir, ["lang":model])) {
+		annotate_status = true;
+	}
 }
 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
@@ -167,7 +169,7 @@
 //c.setCwbPath("~/TXM/cwb/bin");
 c.setLang(lang);
 c.setAnnotationDone(annotate_status)
-if (!c.run(binDir, txmDir, corpusname, metadataXPath)) {
+if (!c.run(binDir, txmDir, corpusname, metadataXPath)) {
 	println "import process stopped";
 	return;
 }
@@ -196,7 +198,7 @@
 
 		Element text = params.addText(corpusElem, txtname, txmFile);
 
-		def ed = new pager(txmFile, outdir, txtname, NoSpaceBefore, NoSpaceAfter, wordsPerPage, corpusname, metadataXPath);
+		def ed = new pager(txmFile, outdir, txtname, NoSpaceBefore, NoSpaceAfter, wordsPerPage, corpusname, metadataXPath);
 		Element edition = params.addEdition(text, "default", outdir.getAbsolutePath(), "html");
 
 		for (i = 0 ; i < ed.getPageFiles().size();) {
@@ -209,4 +211,4 @@
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
 File paramFile = new File(binDir, "import.xml");
-DomUtils.save(params.root.getOwnerDocument(), paramFile);readyToLoad = true;
+DomUtils.save(params.root.getOwnerDocument(), paramFile);readyToLoad = true;
\ No newline at end of file
